	<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100197";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

	///Arrastrando campos del Formulariotxt_NoPall
		$PalletEn=$_POST['txt_NoPall'] or $PalletEn=$_GET['txt_NoPall'];
		$IdBdEn=$_POST['txt_IdBd'] or $IdBdEn=$_GET['txt_IdBd'];
		$CtaDestEn=$_POST['CmbCtas'] or $CtaDestEn=$_GET['CmbCtas'];
		$TipTrasEn=$_POST['TT'] or $TipTrasEn=$_GET['TT'];
		$TipTrasOriEn=$_POST['TT'] or $TipTrasOriEn=$_GET['TT'];
			
		///Asignar nombre al tipo de Traslado
		if ($TipTrasEn=="P")
		{
			$TipTrasEn = "Traslado a Piezas";
		}
			
		if ($TipTrasEn=="E")
		{
			$TipTrasEn = "Traslado Exacto";
		}
				
					
		/////Identificar los datos del Pallet dentro del Inventario
		$sqlIDP1 = mysql_query("select NO_DOCUMENTO,SKU,SKU_ALT,DESCRIPCION,CANTIDAD,UBICACION,TIPO_ALMACEN from tabla_inventario where NO_PALLET='$PalletEn' AND CVE_BODEGA='$CveBodCR1' AND ID='$IdBdEn'");
		if (mysql_numrows($sqlIDP1)==0) echo "";
		else{
		$registroIDP1=mysql_fetch_array($sqlIDP1);
		}
		if (mysql_numrows($sqlIDP1)>0)
		{
		$DocIDP1=$registroIDP1["NO_DOCUMENTO"];
		$SkuIDP1=$registroIDP1["SKU"];
		$AltIDP1=$registroIDP1["SKU_ALT"];
		$DesIDP1=$registroIDP1["DESCRIPCION"];
		$CanIDP1=$registroIDP1["CANTIDAD"];
		$UbiIDP1=$registroIDP1["UBICACION"];
		$TAlIDP1=$registroIDP1["TIPO_ALMACEN"];
		}
			
		///Identificar la Cve Cuenta sobre el Nombre de Cuenta DESTINO
		$sql_C1 = mysql_query("select CVE_CUENTA from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaDestEn'");
		if (mysql_numrows($sql_C1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sql_C1);
		}
		if (mysql_numrows($sql_C1)>0)
		{
		$CveCueDes=$registroC1["CVE_CUENTA"];
		}
			
		///Identificar el codigo SKU se tiene dado de alta dentro de la cuenta Destino
		$sql_C2 = mysql_query("select SKU,SKU_ALT,PZASXCAJA from tabla_altaproducto where SKU='$SkuIDP1' and CUENTA='$CveCueDes'");
		if (mysql_numrows($sql_C2)==0) 
		{
			$SkuCueDes = "INCIDENCIA_NA";
		}
		else
		{
		$registroC2=mysql_fetch_array($sql_C2);
		}
		if (mysql_numrows($sql_C2)>0)
		{
			$SkuCueDes=$registroC2["SKU"];
			$AltCueDes=$registroC2["SKU_ALT"];
			$PxCCueDes=$registroC2["PZASXCAJA"];
		}
			
		///Calculando la Cantidad por Trasladar a la Cuenta Destino
			if ($TipTrasEn=="Traslado a Piezas")
			{
				$CantidadTraslado = $CanIDP1 * $PxCCueDes;
			}
		
			if ($TipTrasEn=="Traslado Exacto")
			{
				$CantidadTraslado = $CanIDP1;
			}

			
		///Validando la existencia del codigo dentro de la Cuenta Destino
		if ($SkuCueDes=="INCIDENCIA_NA")
		{///Inicia If Existencia de codigo
			
			///Cancela el proceso y regresa a la pagina anterior
			echo "<script>alert('Advertencia:\\nEl código Sku que deseas trasladar no se encuentra dado de alta en la cuenta destino.\\n\\nFavor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=189-TrasladoCuentaPallet3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoPall=$PalletEn&txt_IdBd=$IdBdEn&CmbCtas=$CtaDestEn&TT=$TipTrasOriEn'>";
			
		}///Termina If Existencia de codigo
		else
		{///Inicia else Existencia de codigo
			

					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$FechaOk=date("Y/m/d");
				
				///Guarda el Registro Negativo en Kardex
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$SkuIDP1','$AltIDP1','$DocIDP1','TRASLADO -','$UbiIDP1','$PalletEn','-$CanIDP1','$FechaOk','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					
				///Guarda el Registro Positivo en Kardex			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueDes','$SkuCueDes','$AltCueDes','$DocIDP1','TRASLADO +','100-1-1-1','$PalletEn','$CantidadTraslado','$FechaOk','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
			
				///Realiza la modificaión dentro del Stock (Inventario)
					$sqlMRI="UPDATE tabla_inventario SET CVE_CUENTA='$CveCueDes',CANTIDAD='$CantidadTraslado' Where SKU='$SkuIDP1' AND NO_PALLET='$PalletEn' AND ID='$IdBdEn'";
					$resultado_MRI=mysql_query($sqlMRI,$conexion) or die(mysql_error());
			
			
			
				///Guarda el registro del Traslado
					$sql_ID = "select max(ID) as ultimo_FOLIOID from tabla_traslados_cuentas"; 
					$lib_ID = mysql_query($sql_ID); 
					$rs_lib_ID = mysql_fetch_assoc($lib_ID); 
					$id_nuevo_ID = $rs_lib_ID['ultimo_FOLIOID'] + 1;
					
					$sqlk = "insert tabla_traslados_cuentas (ID,CVE_BODEGA,TIPO_ALMACEN,CVE_CUENTA_ORIGEN,CVE_CUENTA_DESTINO,PALLET,SKU,DESCRIPCION,TIPO_TRASLADO,CANTIDAD_ORIGEN,CANTIDAD_DESTINO,UBICACION_ORIGEN,UBICACION_DESTINO,FECHA,HORA,USUARIO)
					values('$id_nuevo_ID','$CveBodCR1','$TAlIDP1','$CveCueCR1','$CveCueDes','$PalletEn','$SkuIDP1','$DesIDP1','$TipTrasEn','$CanIDP1','$CantidadTraslado','$UbiIDP1','100-1-1-1','$FechaOk','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
			
			
					
				///Consulta que elimina el registro temporal del Pallet en la tabla temporal_traslado
					$sqlETD= "DELETE FROM temporal_traslado WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PalletEn' and USUARIO='$UsuEn'";
					$resultadoETD=mysql_query($sqlETD,$conexion) or die(mysql_error());
					
					/////Consulta que elimina el registro temporal del Pallet en la tabla_pallet_proceso
					$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND TIPO_PROCESO='TRASLADO PALLET'";
					$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
					
					
					////Confirmar proceso y regresar
					echo "<script>alert('TRASLADO PROCESADO CORRECTAMENTE');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=189-TrasladoCuentaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI'>";

			}///Termina else Existencia de codigo
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>